#include <stdint.h>
#include <stdio.h>

/********************************************************************************
*Funcion: CRCs							*
*Descripcion: Esta funcion calcula el CRC de un conjunto de datos		*

*Entrada:									*
*	data: Array de datos sobre los que calcular el CRC			*
*	len: longitud de los datos sobre los que calcular el CRC		*
*Salida: Esta funcion devuelve el valor del CRC calculado (1, 2, 4 bytes)		*
*										*
*********************************************************************************/
uint32_t crc32(uint8_t *data,uint16_t len);
#define CRC32_OK 558161692
uint16_t crc16(uint8_t *data,uint16_t len);
#define CRC16_OK 0
uint8_t checksum(uint8_t *data,uint16_t len);
#define CHECKSUM_OK 0
